QMICLI(1)

NAME
qmicli - Control QMI devices

DESCRIPTION

  Usage:

    lt-qmicli [OPTION...] - Control QMI devices

  Help Options:

-h, --help
    Show help options

--help-all
    Show all help options

--help-dms
    Show Device Management Service options

--help-nas
    Show Network Access Service options

--help-wds
    Show Wireless Data Service options

--help-pbm
    Show Phonebook Management options

--help-uim
    Show User Identity Module options

--help-wda
    Show Wireless Data Administrative options

DMS options

--dms-get-ids
    Get IDs

--dms-get-capabilities
    Get capabilities

--dms-get-manufacturer
    Get manufacturer

--dms-get-model
    Get model

--dms-get-revision
    Get revision

--dms-get-msisdn
    Get MSISDN

--dms-get-power-state
    Get power state

--dms-uim-set-pin-protection=[(PIN|PIN2),(disable|enable),(current PIN)]
    Set PIN protection in the UIM

--dms-uim-verify-pin=[(PIN|PIN2),(current PIN)]
    Verify PIN

--dms-uim-unblock-pin=[(PIN|PIN2),(PUK),(new PIN)]
    Unblock PIN

--dms-uim-change-pin=[(PIN|PIN2),(old PIN),(new PIN)]
    Change PIN

--dms-uim-get-pin-status
    Get PIN status

--dms-uim-get-iccid
    Get ICCID

--dms-uim-get-imsi
    Get IMSI

--dms-uim-get-state
    Get UIM State

--dms-uim-get-ck-status=[(pn|pu|pp|pc|pf)]
    Get CK Status

--dms-uim-set-ck-protection=[(pn|pu|pp|pc|pf),(disable),(key)]
    Disable CK protection

--dms-uim-unblock-ck=[(pn|pu|pp|pc|pf),(key)]
    Unblock CK

--dms-get-hardware-revision
    Get the HW revision

--dms-get-operating-mode
    Get the device operating mode

--dms-set-operating-mode=[(Operating mode)]
    Set the device operating mode

--dms-get-time
    Get the device time

--dms-get-prl-version
    Get the PRL version

--dms-get-activation-state
    Get the state of the service activation

--dms-activate-automatic=[Activation Code]
    Request automatic service activation

--dms-activate-manual=[SPC,SID,MDN,MIN]
    Request manual service activation

--dms-get-user-lock-state
    Get the state of the user lock

--dms-set-user-lock-state=[(disable|enable),(current lock code)]
    Set the state of the user lock

--dms-set-user-lock-code=[(old lock code),(new lock code)]
    Change the user lock code

--dms-read-user-data
    Read user data

--dms-write-user-data=[(User data)]
    Write user data

--dms-read-eri-file
    Read ERI file

--dms-restore-factory-defaults=[(Service Programming Code)]
    Restore factory defaults

--dms-validate-service-programming-code=[(Service Programming Code)]
    Validate the Service Programming Code

--dms-get-band-capabilities
    Get band capabilities

--dms-get-factory-sku
    Get factory stock keeping unit

--dms-list-stored-images
    List stored images

--dms-select-stored-image=[modem#,pri#] where # is the index
    Select stored image

--dms-delete-stored-image=[modem#|pri#] where # is the index
    Delete stored image

--dms-reset
    Reset the service state

--dms-noop
    Just allocate or release a DMS client. Use with `--client-no-release-cid' and/or `--client-cid'

NAS options

--nas-get-signal-strength
    Get signal strength

--nas-get-signal-info
    Get signal info

--nas-get-tx-rx-info=[(Radio Interface)]
    Get TX/RX info

--nas-get-home-network
    Get home network

--nas-get-serving-system
    Get serving system

--nas-get-system-info
    Get system info

--nas-get-technology-preference
    Get technology preference

--nas-get-system-selection-preference
    Get system selection preference

--nas-set-system-selection-preference=[cdma-1x|cdma-1xevdo|gsm|umts|lte|td-scdma]
    Set system selection preference

--nas-network-scan
    Scan networks

--nas-get-cell-location-info
    Get Cell Location Info

--nas-reset
    Reset the service state

--nas-noop
    Just allocate or release a NAS client. Use with `--client-no-release-cid' and/or `--client-cid'

WDS options

--wds-start-network=[(APN),(PAP|CHAP|BOTH),(Username),(Password)]
    Start network (Authentication, Username and Password are optional)

--wds-follow-network
    Follow the network status until disconnected. Use with `--wds-start-network'

--wds-stop-network=[Packet data handle]
    Stop network

--wds-get-packet-service-status
    Get packet service status

--wds-get-packet-statistics
    Get packet statistics

--wds-get-data-bearer-technology
    Get data bearer technology

--wds-get-current-data-bearer-technology
    Get current data bearer technology

--wds-get-profile-list=[3gpp|3gpp2]
    Get profile list

--wds-get-default-settings=[3gpp|3gpp2]
    Get default settings

--wds-reset
    Reset the service state

--wds-noop
    Just allocate or release a WDS client. Use with `--client-no-release-cid' and/or `--client-cid'

PBM options

--pbm-get-all-capabilities
    Get all phonebook capabilities

--pbm-noop
    Just allocate or release a PBM client. Use with `--client-no-release-cid' and/or `--client-cid'

UIM options

--uim-read-transparent=[0xNNNN,0xNNNN,...]
    Read a transparent file given the file path

--uim-get-file-attributes=[0xNNNN,0xNNNN,...]
    Get the attributes of a given file

--uim-get-card-status
    Get card status

--uim-reset
    Reset the service state

--uim-noop
    Just allocate or release a UIM client. Use with `--client-no-release-cid' and/or `--client-cid'

WDA options

--wda-set-data-format=[raw-ip|802-3]
    Set data format

--wda-get-data-format
    Get data format

--wda-noop
    Just allocate or release a WDA client. Use with `--client-no-release-cid' and/or `--client-cid'

  Application Options:

-d, --device=[PATH]
    Specify device path

--get-service-version-info
    Get service version info

--device-set-instance-id=[Instance ID]
    Set instance ID

--device-open-version-info
    Run version info check when opening device

--device-open-sync
    Run sync operation when opening device

-p, --device-open-proxy
    Request to use the 'qmi-proxy' proxy

--device-open-net=[net-802-3|net-raw-ip|net-qos-header|net-no-qos-header]
    Open device with specific link protocol and QoS flags

--client-cid=[CID]
    Use the given CID, don't allocate a new one

--client-no-release-cid
    Do not release the CID when exiting

-v, --verbose
    Run action with verbose logs, including the debug ones

--silent
    Run action with no logs; not even the error/warning ones

-V, --version
    Print version

qmicli 1.10.6 Copyright (2012) Aleksander Morgado License GPLv2+: GNU GPL version 2 or later <http://gnu.org/licenses/gpl-2.0.html> This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
The full documentation for qmicli is maintained as a Texinfo manual. If the info and qmicli programs are properly installed at your site, the command

    info qmicli

should give you access to the complete manual.